Patch origin: in-house
Patch status: Solaris-specific; not suitable for upstream

Solaris specific documentation changes.

--- doc/tshark.pod.~1~  2016-02-26 11:58:04.000000000 -0800
+++ doc/tshark.pod      2016-04-22 10:04:13.418143254 -0700
@@ -497,9 +497,11 @@

 Network interface names should match one of the names listed in
 "B<tshark -D>" (described above); a number, as reported by
-"B<tshark -D>", can also be used.  If you're using UNIX, "B<netstat
--i>" or "B<ifconfig -a>" might also work to list interface names,
-although not all versions of UNIX support the B<-a> option to B<ifconfig>.
+"B<tshark -D>", can also be used.  On Solaris, all network interfaces
+that are displayed with the command "dladm show-link" or "ipadm show-if"
+can be used with the "-i" command line option. An interface argument of
+"any" can be used to capture packets from all interfaces. Note that
+captures using "any" will not be done in promiscuous mode.

 If no interface is specified, B<TShark> searches the list of
 interfaces, choosing the first non-loopback interface if there are any
@@ -1587,7 +1587,7 @@

 =head1 CAPTURE FILTER SYNTAX

-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<https://wiki.wireshark.org/CaptureFilters>.

 =head1 READ FILTER SYNTAX
@@ -1862,7 +1862,7 @@
 =head1 SEE ALSO

 wireshark-filter(4), wireshark(1), editcap(1), pcap(3), dumpcap(1),
-text2pcap(1), mergecap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), mergecap(1), pcap-filter(7) or tcpdump(1)

 =head1 NOTES
 
--- doc/wireshark.pod.template
+++ doc/wireshark.pod.template
@@ -370,9 +370,9 @@
 
 Network interface names should match one of the names listed in
 "B<wireshark -D>" (described above); a number, as reported by
-"B<wireshark -D>", can also be used.  If you're using UNIX, "B<netstat
--i>" or "B<ifconfig -a>" might also work to list interface names,
-although not all versions of UNIX support the B<-a> flag to B<ifconfig>.
+"B<wireshark -D>", can also be used.  On Solaris, all network interfaces
+that are displayed with the command "dladm show-link" or "ipadm show-if"
+can be used with the "-i" command line option.
 
 If no interface is specified, B<Wireshark> searches the list of
 interfaces, choosing the first non-loopback interface if there are any
@@ -2533,7 +2533,7 @@
 
 =head1 CAPTURE FILTER SYNTAX
 
-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<https://wiki.wireshark.org/CaptureFilters>.
 
 =head1 DISPLAY FILTER SYNTAX
@@ -2905,7 +2905,7 @@
 =head1 SEE ALSO
 
 wireshark-filter(4), tshark(1), editcap(1), pcap(3), dumpcap(1), mergecap(1),
-text2pcap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/capinfos.pod
+++ doc/capinfos.pod
@@ -348,7 +348,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), mergecap(1), editcap(1), tshark(1),
-dumpcap(1), pcap-filter(7) or tcpdump(8)
+dumpcap(1), pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/dumpcap.pod
+++ doc/dumpcap.pod
@@ -353,13 +353,13 @@
 
 =head1 CAPTURE FILTER SYNTAX
 
-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<https://wiki.wireshark.org/CaptureFilters>.
 
 =head1 SEE ALSO
 
 wireshark(1), tshark(1), editcap(1), mergecap(1), capinfos(1), pcap(3),
-pcap-filter(7) or tcpdump(8)
+pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/editcap.pod
+++ doc/editcap.pod
@@ -416,7 +416,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), tshark(1), mergecap(1), dumpcap(1), capinfos(1),
-text2pcap(1), od(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), od(1), pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/mergecap.pod
+++ doc/mergecap.pod
@@ -145,7 +145,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), tshark(1), dumpcap(1), editcap(1), text2pcap(1),
-pcap-filter(7) or tcpdump(8)
+pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/rawshark.pod
+++ doc/rawshark.pod
@@ -520,7 +520,7 @@
 =head1 SEE ALSO
 
 wireshark-filter(4), wireshark(1), tshark(1), editcap(1), pcap(3), dumpcap(1),
-text2pcap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/text2pcap.pod
+++ doc/text2pcap.pod
@@ -244,7 +244,7 @@
 =head1 SEE ALSO
 
 od(1), pcap(3), wireshark(1), tshark(1), dumpcap(1), mergecap(1),
-editcap(1), strptime(3), pcap-filter(7) or tcpdump(8)
+editcap(1), strptime(3), pcap-filter(7) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/wireshark-filter.pod
+++ doc/wireshark-filter.pod
 
 This manpage does not describe the capture filter syntax, which is
 different. See the manual page of pcap-filter(7) or, if that doesn't exist,
-tcpdump(8), or, if that doesn't exist, L<https://wiki.wireshark.org/CaptureFilters>
+tcpdump(1), or, if that doesn't exist, L<https://wiki.wireshark.org/CaptureFilters>
 for a description of capture filters.
 
 =head1 SEE ALSO
 
-wireshark(1), tshark(1), editcap(1), pcap(3), pcap-filter(7) or tcpdump(8) if it
+wireshark(1), tshark(1), editcap(1), pcap(3), pcap-filter(7) or tcpdump(1) if it
 doesn't exist.
 
 =head1 AUTHORS
